import { OnDestroy, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { Observable, Subscription } from 'rxjs';
import { MangolControllersZoomOptions, MangolControllersFullScreenOptions } from '../../interfaces/config-map-controllers.interface';
import { MangolConfig } from './../../interfaces/config.interface';
import { MangolControllersPositionStateModel, MangolControllersRotationStateModel } from './../../store/controllers/controllers.reducers';
import * as fromMangol from './../../store/mangol.reducers';
export declare class ControllersComponent implements OnInit, OnDestroy {
    private store;
    config$: Observable<MangolConfig>;
    hasSidebar$: Observable<boolean>;
    sidebarCollapsible$: Observable<boolean>;
    zoom$: Observable<MangolControllersZoomOptions>;
    position$: Observable<MangolControllersPositionStateModel>;
    rotation$: Observable<MangolControllersRotationStateModel>;
    fullScreen$: Observable<MangolControllersFullScreenOptions>;
    configSubscription: Subscription;
    constructor(store: Store<fromMangol.MangolState>);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
