import { OnDestroy, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import VectorLayer from 'ol/layer/Vector';
import Map from 'ol/Map';
import { Observable, Subscription } from 'rxjs';
import { MangolLayer } from '../../classes/Layer';
import { StyleService } from '../_shared/shared/services/style.service';
import { FeatureinfoDictionary } from './../../store/featureinfo/featureinfo.reducers';
import * as fromMangol from './../../store/mangol.reducers';
export declare class FeatureinfoComponent implements OnInit, OnDestroy {
    private store;
    private styleService;
    layers$: Observable<MangolLayer[]>;
    selectedLayer$: Observable<MangolLayer>;
    map$: Observable<Map>;
    resultsLayer$: Observable<VectorLayer>;
    dictionary$: Observable<FeatureinfoDictionary>;
    mapSubscription: Subscription;
    constructor(store: Store<fromMangol.MangolState>, styleService: StyleService);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
