import { Action } from '@ngrx/store';
import Feature from 'ol/Feature';
import VectorLayer from 'ol/layer/Vector';
import { MangolLayer } from './../../classes/Layer';
import { FeatureinfoDictionary } from './featureinfo.reducers';
export declare const HAS_FEATUREINFO = "[Featureinfo] Has Featureinfo";
export declare const SET_DISABLED = "[Featureinfo] Set Disabled";
export declare const SET_TITLE = "[Featureinfo] Set Title";
export declare const SET_MAX_FEATURES = "[Featureinfo] Set Max Features";
export declare const SET_LAYERS = "[Featureinfo] Set Layers";
export declare const SET_SELECTED_LAYER = "[Featureinfo] Set Selected Layer";
export declare const SET_RESULTS_LAYER = "[Featureinfo] Set Results Layer";
export declare const SET_RESULTS_ITEMS = "[Featureinfo] Set Results Items";
export declare const SET_DICTIONARY = "[Featureinfo] Set Dictionary";
export declare const SET_HOVER_COLOR = "[Featureinfo] Set Hover Color";
export declare class HasFeatureinfo implements Action {
    payload: boolean;
    readonly type = "[Featureinfo] Has Featureinfo";
    constructor(payload: boolean);
}
export declare class SetDisabled implements Action {
    payload: boolean;
    readonly type = "[Featureinfo] Set Disabled";
    constructor(payload: boolean);
}
export declare class SetTitle implements Action {
    payload: string;
    readonly type = "[Featureinfo] Set Title";
    constructor(payload: string);
}
export declare class SetMaxFeatures implements Action {
    payload: number;
    readonly type = "[Featureinfo] Set Max Features";
    constructor(payload: number);
}
export declare class SetLayers implements Action {
    payload: MangolLayer[];
    readonly type = "[Featureinfo] Set Layers";
    constructor(payload: MangolLayer[]);
}
export declare class SetSelectedLayer implements Action {
    payload: MangolLayer;
    readonly type = "[Featureinfo] Set Selected Layer";
    constructor(payload: MangolLayer);
}
export declare class SetResultsLayer implements Action {
    payload: VectorLayer;
    readonly type = "[Featureinfo] Set Results Layer";
    constructor(payload: VectorLayer);
}
export declare class SetResultsItems implements Action {
    payload: Feature[];
    readonly type = "[Featureinfo] Set Results Items";
    constructor(payload: Feature[]);
}
export declare class SetDictionary implements Action {
    payload: FeatureinfoDictionary;
    readonly type = "[Featureinfo] Set Dictionary";
    constructor(payload: FeatureinfoDictionary);
}
export declare class SetHoverColor implements Action {
    payload: [number, number, number];
    readonly type = "[Featureinfo] Set Hover Color";
    constructor(payload: [number, number, number]);
}
export declare type FeatureinfoActions = HasFeatureinfo | SetDisabled | SetTitle | SetMaxFeatures | SetLayers | SetSelectedLayer | SetResultsLayer | SetResultsItems | SetDictionary | SetHoverColor;
